<main class="dashboard-main">
    <article class="dashboard-article">
        <aside class="dashboard-selector">
            <app-date-wheel></app-date-wheel>
        </aside>

        <aside class="dashboard-search-bar">
            <document-search-bar></document-search-bar>
        </aside>

        <section class="dashboard-table">
            <app-dashboard-table></app-dashboard-table>
            <app-pagination-bar *ngIf="ready" [values]="values" [lastPage]="lastPage"></app-pagination-bar>
        </section>
    </article>

    <aside class="dashboard-buttons">
        <!--all buttons-->
        <app-medium-button class="return-button" routerLink="/" displayedText="Retour"></app-medium-button>
        <app-medium-button class="new-button" routerLink="edit/new-document" displayedText="Nouveau"></app-medium-button>
        <!--<app-medium-button class="delete-button" displayedText="Supprimer"></app-medium-button>--><!-- for future version -->
    </aside>
</main>
